エンジニアになりたい

社会人1年目です

cinnamon-2.8.4にバージョンアップした

手元のgentoo環境でcinnamon-2.6.13が動いていたが、通知が機能してくれなかったりしたので「バージョンアップしたら機能してくれるかも?」と思いバージョンアップを図った。

packages.gentoo.org

記事を書いている時点(2015年11月24日)では2.6.13がStableで2.8.4がTestingだった。

普通にemerge cinnamonとやるとStableの方がinstallされてしまうので、バージョンを指定してinstallする。

その際にハンドブックに書かれているように /etc/portage/package.accept_keywords に追加してinstall可能にする。さらに、マスクされているので /etc/portage/package.unmask にも追加する。

ハンドブック:X86/Portage/ブランチ - Gentoo Wiki

# /etc/portage/package.accept_keywords/cinnamon

# required by =cinnamon-2.8.4 (argument)
=gnome-extra/cinnamon-2.8.4 ~amd64
# /etc/portage/package.unmask/cinnamon

# required by =cinnamon-2.8.4 (argument)
# /var/lib/layman/gentoo/profiles/package.mask:
# Pacho Ramos <pacho@gentoo.org> (09 Nov 2015)
# GNOME 3.18 mask (#561326)
=gnome-extra/cinnamon-2.8.4

バージョンを指定してinstallする時は以下のようにする。

% sudo emerge =cinnamon-2.8.4

もちろんStableでは無いので、何があっても自己責任ということで。。

f:id:pro_shunsuke:20151124033817p:plain

無事出てくれて良かった。